PyBuiltinFunctionNarrow (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyBuiltinFunctionNarrow

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyBuiltinCallable
              org.python.core.PyBuiltinFunction
                  org.python.core.PyBuiltinFunctionNarrow

All Implemented Interfaces:
  Serializable, org.python.expose.ExposeAsSuperclass

Direct Known Subclasses:
  PyBuiltinFunctionSet

    public class PyBuiltinFunctionNarrow

extends PyBuiltinFunction

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyBuiltinCallable
`PyBuiltinCallable.DefaultInfo, PyBuiltinCallable.Info`

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary

Fields inherited from class org.python.core.PyObject
`TYPE`

Method Summary
`PyObject` | `__call__()` A variant of the __call__ method with no arguments.
`PyObject` | `__call__(PyObject arg1)` A variant of the __call__ method with one argument.
`PyObject` | `__call__(PyObject[] args)` A variant of the __call__ method when no keywords are passed.
`PyObject` | `__call__(PyObject[] args, String[] kws)` The basic method to override when implementing a callable object.
`PyObject` | `__call__(PyObject arg1, PyObject arg2)` A variant of the __call__ method with two arguments.
`PyObject` | `__call__(PyObject arg1, PyObject arg2, PyObject arg3)` A variant of the __call__ method with three arguments.
`PyObject` | `__call__(PyObject arg1, PyObject arg2, PyObject arg3, PyObject arg4)` A variant of the __call__ method with four arguments.
`PyObject` | `fancyCall(PyObject[] args)`

Methods inherited from class org.python.core.PyBuiltinFunction
`bind, isMappingType, isNumberType, isSequenceType, toString`

Methods inherited from class org.python.core.PyBuiltinCallable
`fastGetName, getDoc, getModule, getSelf, makeCall, setInfo`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### fancyCall

    public PyObject fancyCall(PyObject[] args)

### __call__

    public PyObject __call__(PyObject[] args)

  Description copied from class: `PyObject`
  A variant of the __call__ method when no keywords are passed. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function.

### __call__

    public PyObject __call__(PyObject[] args,
                             String[] kws)

  Description copied from class: `PyObject`
  The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function (including keyword arguments).
    `kws` - the keywords used for all keyword arguments.

### __call__

    public PyObject __call__()

  Description copied from class: `PyObject`
  A variant of the __call__ method with no arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(PyObject arg1)

  Description copied from class: `PyObject`
  A variant of the __call__ method with one argument. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg1` - the single argument to the function.

### __call__

    public PyObject __call__(PyObject arg1,
                             PyObject arg2)

  Description copied from class: `PyObject`
  A variant of the __call__ method with two arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg1` - the first argument to the function.
    `arg2` - the second argument to the function.

### __call__

    public PyObject __call__(PyObject arg1,
                             PyObject arg2,
                             PyObject arg3)

  Description copied from class: `PyObject`
  A variant of the __call__ method with three arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg1` - the first argument to the function.
    `arg2` - the second argument to the function.
    `arg3` - the third argument to the function.

### __call__

    public PyObject __call__(PyObject arg1,
                             PyObject arg2,
                             PyObject arg3,
                             PyObject arg4)

  Description copied from class: `PyObject`
  A variant of the __call__ method with four arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg1` - the first argument to the function.
    `arg2` - the second argument to the function.
    `arg3` - the third argument to the function.
    `arg4` - the fourth argument to the function.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage